cURL
curl -X GET "https://api.bizmori.com/api/v2/orders/webhooks?page=1&limit=10" \
-H "Authorization: Bearer YOUR_API_TOKEN"const params = new URLSearchParams({ page: 1, limit: 10 });
const response = await fetch(
`https://api.bizmori.com/api/v2/orders/webhooks?${params}`,
{ headers: { 'Authorization': 'Bearer YOUR_API_TOKEN' } }
);
const data = await response.json();import requests
response = requests.get(
'https://api.bizmori.com/api/v2/orders/webhooks',
headers={'Authorization': 'Bearer YOUR_API_TOKEN'},
params={'page': 1, 'limit': 10}
)
data = response.json()
{
"data": {
"webhooks": [
{
"id": 123,
"name": "<string>",
"url": "<string>",
"isActive": true,
"lastSentAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123
}
}
}{
"code": "AUTH_NOT_AUTHENTICATED"
}Webhooks
웹훅 목록 조회
페이지네이션을 포함한 등록된 웹훅 목록을 조회합니다.
- 이름, URL, 활성화 상태, 마지막 전송 시각 포함
GET
/
api
/
v2
/
orders
/
webhooks
cURL
curl -X GET "https://api.bizmori.com/api/v2/orders/webhooks?page=1&limit=10" \
-H "Authorization: Bearer YOUR_API_TOKEN"const params = new URLSearchParams({ page: 1, limit: 10 });
const response = await fetch(
`https://api.bizmori.com/api/v2/orders/webhooks?${params}`,
{ headers: { 'Authorization': 'Bearer YOUR_API_TOKEN' } }
);
const data = await response.json();import requests
response = requests.get(
'https://api.bizmori.com/api/v2/orders/webhooks',
headers={'Authorization': 'Bearer YOUR_API_TOKEN'},
params={'page': 1, 'limit': 10}
)
data = response.json()
{
"data": {
"webhooks": [
{
"id": 123,
"name": "<string>",
"url": "<string>",
"isActive": true,
"lastSentAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123
}
}
}{
"code": "AUTH_NOT_AUTHENTICATED"
}인증
외부 클라이언트 접근을 위한 API 키
쿼리 매개변수
페이지 번호
필수 범위:
x >= 1페이지당 항목 수
필수 범위:
1 <= x <= 100검색 키워드 (웹훅 이름 또는 URL 검색)
응답
성공
Hide child attributes
Hide child attributes
⌘I